Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 11/09/2022, à 15:13

papy104

RESOLU Après mise à niveau liste de paquets a désinstaller

Bonjour
   Après une mise à niveau de Ubuntu MATE de 20.04 à 22.04 Synaptic me remonte une liste de 239 paquets obsoletes pouvant etre  supprimés
   La mise à niveau n'a généré aucun pb
   Est ce que cela présente un risque de les supprimer ?

  Papy104

Dernière modification par papy104 (Le 12/09/2022, à 11:52)


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#2 Le 11/09/2022, à 15:26

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonjour,

Montre aussi d'éventuels paquets cassés :

dpkg -l | grep -v ^ii

en te servant du Retour utilisable de commande.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#3 Le 11/09/2022, à 16:47

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Voici le retour

gerard@hp:~$ dpkg -l | grep -v ^ii
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                           Version                                    Architecture Description
+++-=============================================-==========================================-============-================================================================================
rc  firefox                                       1:1snap1-0ubuntu2                          amd64        Transitional package - firefox -> firefox snap
rc  fuse                                          2.9.9-3                                    amd64        Filesystem in Userspace
rc  indicator-datetime                            15.10+20.04.20200217-0ubuntu1              amd64        Simple clock
rc  indicator-messages                            13.10.1+18.10.20180918-0ubuntu2            amd64        indicator that collects messages that need a response
rc  indicator-power                               12.10.6+17.10.20170829.1-0ubuntu5          amd64        Indicator showing power state.
rc  indicator-session                             17.3.20+19.10.20190921-0ubuntu1            amd64        indicator showing session management, status and user switching
rc  indicator-sound                               12.10.2+18.10.20180612-0ubuntu1            amd64        System sound indicator.
rc  libcoarrays-dev:amd64                         2.9.2-3                                    amd64        Co-Array Fortran libraries
rc  libopenmpi-dev:amd64                          4.1.2-2ubuntu1                             amd64        high performance message passing library -- header files
rc  libturbojpeg:amd64                            2.1.2-0ubuntu1                             amd64        IJG JPEG compliant runtime library.
rc  linux-image-5.4.0-100-generic                 5.4.0-100.113                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-104-generic                 5.4.0-104.118                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-105-generic                 5.4.0-105.119                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-107-generic                 5.4.0-107.121                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-109-generic                 5.4.0-109.123                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-110-generic                 5.4.0-110.124                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-113-generic                 5.4.0-113.127                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-117-generic                 5.4.0-117.132                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-120-generic                 5.4.0-120.136                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-121-generic                 5.4.0-121.137                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-122-generic                 5.4.0-122.138                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-124-generic                 5.4.0-124.140                              amd64        Signed kernel image generic
rc  linux-image-5.4.0-56-generic                  5.4.0-56.62                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-58-generic                  5.4.0-58.64                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-60-generic                  5.4.0-60.67                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-62-generic                  5.4.0-62.70                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-64-generic                  5.4.0-64.72                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-65-generic                  5.4.0-65.73                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-66-generic                  5.4.0-66.74                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-67-generic                  5.4.0-67.75                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-70-generic                  5.4.0-70.78                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-71-generic                  5.4.0-71.79                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-72-generic                  5.4.0-72.80                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-73-generic                  5.4.0-73.82                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-74-generic                  5.4.0-74.83                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-77-generic                  5.4.0-77.86                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-80-generic                  5.4.0-80.90                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-81-generic                  5.4.0-81.91                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-84-generic                  5.4.0-84.94                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-86-generic                  5.4.0-86.97                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-88-generic                  5.4.0-88.99                                amd64        Signed kernel image generic
rc  linux-image-5.4.0-89-generic                  5.4.0-89.100                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-90-generic                  5.4.0-90.101                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-91-generic                  5.4.0-91.102                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-92-generic                  5.4.0-92.103                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-94-generic                  5.4.0-94.106                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-96-generic                  5.4.0-96.109                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-97-generic                  5.4.0-97.110                               amd64        Signed kernel image generic
rc  linux-image-5.4.0-99-generic                  5.4.0-99.112                               amd64        Signed kernel image generic
rc  linux-modules-5.4.0-100-generic               5.4.0-100.113                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-104-generic               5.4.0-104.118                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-105-generic               5.4.0-105.119                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-107-generic               5.4.0-107.121                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-109-generic               5.4.0-109.123                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-110-generic               5.4.0-110.124                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-113-generic               5.4.0-113.127                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-117-generic               5.4.0-117.132                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-120-generic               5.4.0-120.136                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-121-generic               5.4.0-121.137                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-122-generic               5.4.0-122.138                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-124-generic               5.4.0-124.140                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-56-generic                5.4.0-56.62                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-58-generic                5.4.0-58.64                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-60-generic                5.4.0-60.67                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-62-generic                5.4.0-62.70                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-64-generic                5.4.0-64.72                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-65-generic                5.4.0-65.73                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-66-generic                5.4.0-66.74                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-67-generic                5.4.0-67.75                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-70-generic                5.4.0-70.78                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-71-generic                5.4.0-71.79                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-72-generic                5.4.0-72.80                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-73-generic                5.4.0-73.82                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-74-generic                5.4.0-74.83                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-77-generic                5.4.0-77.86                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-80-generic                5.4.0-80.90                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-81-generic                5.4.0-81.91                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-84-generic                5.4.0-84.94                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-86-generic                5.4.0-86.97                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-88-generic                5.4.0-88.99                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-89-generic                5.4.0-89.100                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-90-generic                5.4.0-90.101                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-91-generic                5.4.0-91.102                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-92-generic                5.4.0-92.103                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-94-generic                5.4.0-94.106                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-96-generic                5.4.0-96.109                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-97-generic                5.4.0-97.110                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-5.4.0-99-generic                5.4.0-99.112                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-100-generic         5.4.0-100.113                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-104-generic         5.4.0-104.118                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-105-generic         5.4.0-105.119                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-107-generic         5.4.0-107.121                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-109-generic         5.4.0-109.123                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-110-generic         5.4.0-110.124                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-113-generic         5.4.0-113.127                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-117-generic         5.4.0-117.132                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-120-generic         5.4.0-120.136                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-121-generic         5.4.0-121.137                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-122-generic         5.4.0-122.138                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-124-generic         5.4.0-124.140                              amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-56-generic          5.4.0-56.62                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-58-generic          5.4.0-58.64                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-60-generic          5.4.0-60.67                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-62-generic          5.4.0-62.70                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-64-generic          5.4.0-64.72                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-65-generic          5.4.0-65.73                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-66-generic          5.4.0-66.74                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-67-generic          5.4.0-67.75                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-70-generic          5.4.0-70.78                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-71-generic          5.4.0-71.79                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-72-generic          5.4.0-72.80                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-73-generic          5.4.0-73.82                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-74-generic          5.4.0-74.83                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-77-generic          5.4.0-77.86                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-80-generic          5.4.0-80.90                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-81-generic          5.4.0-81.91                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-84-generic          5.4.0-84.94                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-86-generic          5.4.0-86.97                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-88-generic          5.4.0-88.99                                amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-89-generic          5.4.0-89.100                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-90-generic          5.4.0-90.101                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-91-generic          5.4.0-91.102                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-92-generic          5.4.0-92.103                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-94-generic          5.4.0-94.106                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-96-generic          5.4.0-96.109                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-97-generic          5.4.0-97.110                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.4.0-99-generic          5.4.0-99.112                               amd64        Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP
rc  openmpi-bin                                   4.1.2-2ubuntu1                             amd64        high performance message passing library -- binaries
rc  opera-stable                                  80.0.4170.63                               amd64        Fast, secure, easy-to-use web browser
rc  python3-sympy                                 1.9-1                                      all          Computer Algebra System (CAS) in Python (Python 3)
gerard@hp:~$ 

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#4 Le 11/09/2022, à 16:49

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Pour purger les résidus de configuration marqués "rc" :

sudo apt purge ~c

comme expliqué à la machine à café.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#5 Le 11/09/2022, à 17:03

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

cela fait 400s que le processus tourne !!

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#6 Le 11/09/2022, à 17:07

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Il faut patienter un certain temps, comme pour le fût du canon.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#7 Le 11/09/2022, à 17:47

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Le processus est vraiment super long
J'ai l'impression qu'il y plus de ligne dans mon terminal qu'avec la première commande

Que fait exactement cette commande ?

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#8 Le 11/09/2022, à 17:52

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

C'est une commande de nettoyage, qui remplace :

dpkg -l | awk '/^rc/{print $2}' | xargs -r sudo dpkg -P

et pour info, des précisions de nany, pour la commande de nettoyage.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#9 Le 11/09/2022, à 17:57

ylag

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonsoir,

Une fois la commande sudo apt purge ~c terminée, peut-être essayer de poster le résultat de celle-ci, qui devrait nous donner la liste de ces paquets «obsolètes» (ça risque aussi d'être fort long...) :

apt list ?obsolete

A+

Hors ligne

#10 Le 11/09/2022, à 17:58

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Tu as des lignes qui défilent dans le terminal ?


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#11 Le 11/09/2022, à 18:18

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

J'ai l'ecran de terminal rempli de pages de cette ligne

Waiting for cache lock: Could not get lock /var/lib/dpkg/lock-frontend. It is held by process 15234 (synaptic)         
Waiting for cache lock: Could not get lock /var/lib/dpkg/lock-frontend. It is held by process 15234 (synaptic) 

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#12 Le 11/09/2022, à 18:22

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Tu n'avais pas fermé synaptic ?

Il ne faut pas avoir deux outils de mises à jour, ouverts en simultané.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#13 Le 11/09/2022, à 18:26

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Non en plus je travaillais sur deux repertoire
Synaptique sur le repetoire utilisateur
La commande sudo sur le repertoire administrateur
Je viens de fermer sinaptic

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#14 Le 11/09/2022, à 18:35

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

J'ai fermé synaptic , stopé et relancé le processus de purge tout s'est bien passé

Résultat de la commande obsolete

remond@hp:~$ apt list ?obsolete
En train de lister... Fait
cpp-7/now 7.5.0-6ubuntu2 amd64  [installé, local]
cpp-8/now 8.4.0-3ubuntu2 amd64  [installé, local]
crda/now 3.18-1build1 amd64  [installé, local]
enchant/now 1.6.0-11.3build1 amd64  [installé, local]
gcc-7-base/now 7.5.0-6ubuntu2 amd64  [installé, local]
gcc-8-base/now 8.4.0-3ubuntu2 amd64  [installé, local]
hddtemp/now 0.3-beta15-53 amd64  [installé, local]
ippusbxd/now 1.34-2ubuntu1 amd64  [installé, local]
libaom0/now 1.0.0.errata1-3build1 amd64  [installé, local]
libarmadillo9/now 1:9.800.4+dfsg-1build1 amd64  [installé, local]
libasan4/now 7.5.0-6ubuntu2 amd64  [installé, local]
libbasicusageenvironment1/now 2020.01.19-1build1 amd64  [installé, local]
libboost-date-time1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-filesystem1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-iostreams1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-locale1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-program-options1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-regex1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libboost-thread1.71.0/now 1.71.0-6ubuntu6 amd64  [installé, local]
libbrlapi0.7/now 6.0+dfsg-4ubuntu6 amd64  [installé, local]
libcamel-1.2-62/now 3.36.5-0ubuntu1 amd64  [installé, local]
libcbor0.6/now 0.6.0-0ubuntu1 amd64  [installé, local]
libcdio18/now 2.0.0-2 amd64  [installé, local]
libcfitsio8/now 3.470-3 amd64  [installé, local]
libcilkrts5/now 7.5.0-6ubuntu2 amd64  [installé, local]
libclang1-10/now 1:10.0.0-4ubuntu1 amd64  [installé, local]
libcodec2-0.9/now 0.9.2-2 amd64  [installé, local]
libcollada-dom2.4-dp0/now 2.4.4+ds1-2build5 amd64  [installé, local]
libcroco3/now 0.6.13-1 amd64  [installé, local]
libcrystalhd3/now 1:0.0~git20110715.fdd2f19-13build1 amd64  [installé, local]
libdap25/now 3.20.5-1 amd64  [installé, local]
libdc1394-22/now 2.2.5-2.1 amd64  [installé, local]
libdcmtk14/now 3.6.4-2.1build2 amd64  [installé, local]
libdns-export1109/now 1:9.11.16+dfsg-3~ubuntu1 amd64  [installé, local]
libdvdread7/now 6.1.0+really6.0.2-1 amd64  [installé, local]
libebml4v5/now 1.3.10-1build1 amd64  [installé, local]
libedataserver-1.2-24/now 3.36.5-0ubuntu1 amd64  [installé, local]
libedataserverui-1.2-2/now 3.36.5-0ubuntu1 amd64  [installé, local]
libenchant1c2a/now 1.6.0-11.3build1 amd64  [installé, local]
libepsilon1/now 0.9.2+dfsg-4 amd64  [installé, local]
libfam0/now 2.7.0-17.3build2 amd64  [installé, local]
libfluidsynth2/now 2.1.1-2 amd64  [installé, local]
libfwupdplugin1/now 1.5.11-0ubuntu1~20.04.2 amd64  [installé, local]
libgavl1/now 1.4.0-5 amd64  [installé, local]
libgdal26/now 3.0.4+dfsg-1build3 amd64  [installé, local]
libgeos-3.8.0/now 3.8.0-1build1 amd64  [installé, local]
libglew2.1/now 2.1.0-4 amd64  [installé, local]
libgroupsock8/now 2020.01.19-1build1 amd64  [installé, local]
libgupnp-1.2-0/now 1.2.4-0ubuntu1 amd64  [installé, local]
libhogweed5/now 3.5.1+really3.5.1-2ubuntu0.2 amd64  [installé, local]
libicu66/now 66.1-2ubuntu2.1 amd64  [installé, local]
libidn11/now 1.33-2.2ubuntu2 amd64  [installé, local]
libigdgmm11/now 20.1.1+ds1-1 amd64  [installé, local]
libilmbase24/now 2.3.0-6build1 amd64  [installé, local]
libisl22/now 0.22.1-1 amd64  [installé, local]
libjson-c4/now 0.13.1+dfsg-7ubuntu0.3 amd64  [installé, local]
libjsoncpp1/now 1.7.4-3.1ubuntu2 amd64  [installé, local]
libkaccounts1/now 4:19.12.3-0ubuntu1 amd64  [installé, local]
libkf5pulseaudioqt2/now 1.2-2build1 amd64  [installé, local]
libldap-2.4-2/now 2.4.49+dfsg-2ubuntu1.9 amd64  [installé, local]
liblivemedia77/now 2020.01.19-1build1 amd64  [installé, local]
libllvm10/now 1:10.0.0-4ubuntu1 amd64  [installé, local]
libllvm6.0/now 1:6.0.1-14 amd64  [installé, local]
libmatroska6v5/now 1.5.2-3build1 amd64  [installé, local]
libmbedcrypto3/now 2.16.4-1ubuntu2 amd64  [installé, local]
libmlt++3/now 6.20.0-2 amd64  [installé, local]
libmlt6/now 6.20.0-2 amd64  [installé, local]
libmozjs-68-0/now 68.6.0-1ubuntu1 amd64  [installé, local]
libmpx2/now 8.4.0-3ubuntu2 amd64  [installé, local]
libnetcdf15/now 1:4.7.3-1 amd64  [installé, local]
libnettle7/now 3.5.1+really3.5.1-2ubuntu0.2 amd64  [installé, local]
libopencv-core4.2/now 4.2.0+dfsg-5 amd64  [installé, local]
libopencv-imgcodecs4.2/now 4.2.0+dfsg-5 amd64  [installé, local]
libopencv-imgproc4.2/now 4.2.0+dfsg-5 amd64  [installé, local]
libopencv-videoio4.2/now 4.2.0+dfsg-5 amd64  [installé, local]
libopenexr24/now 2.3.0-6ubuntu0.5 amd64  [installé, local]
libopenimageio2.1/now 2.1.12.0~dfsg0-1 amd64  [installé, local]
libopenshot-audio6/now 0.1.7+dfsg1-1 amd64  [installé, local]
libopenshot16/now 0.2.2+dfsg1-1ubuntu3 amd64  [installé, local]
libopenvdb6.2/now 6.2.1-8ubuntu1.1 amd64  [installé, local]
liborcus-0.15-0/now 0.15.3-3build2 amd64  [installé, local]
libpgm-5.2-0/now 5.2.122~dfsg-3ubuntu1 amd64  [installé, local]
libphonenumber7/now 7.1.0-5ubuntu11 amd64  [installé, local]
libplacebo7/now 1.7.0-2 amd64  [installé, local]
libpodofo0.9.6/now 0.9.6+dfsg-5build1 amd64  [installé, local]
libpoppler97/now 0.86.1-0ubuntu1 amd64  [installé, local]
libproj15/now 6.3.1-1 amd64  [installé, local]
libprotobuf-lite17/now 3.6.1.3-2ubuntu5 amd64  [installé, local]
libprotobuf17/now 3.6.1.3-2ubuntu5 amd64  [installé, local]
libpython3.8-minimal/now 3.8.10-0ubuntu1~20.04.5 amd64  [installé, local]
libqhull7/now 2015.2-4 amd64  [installé, local]
libqpdf26/now 9.1.1-1ubuntu0.1 amd64  [installé, local]
libraw19/now 0.19.5-1ubuntu1 amd64  [installé, local]
libre2-5/now 20200101+dfsg-1build1 amd64  [installé, local]
libsepol1/now 3.0-1ubuntu0.1 amd64  [installé, local]
libsidplayfp4/now 1.8.8-1build1 amd64  [installé, local]
libsrt1/now 1.4.0-1build1 amd64  [installé, local]
libssl1.1/now 1.1.1f-1ubuntu2.16 amd64  [installé, local]
libtinyxml2-6a/now 7.0.0+dfsg-1build1 amd64  [installé, local]
libtracker-sparql-2.0-0/now 2.3.6-0ubuntu1 amd64  [installé, local]
liburl-dispatcher1/now 0.1+17.04.20170328-0ubuntu4 amd64  [installé, local]
libusageenvironment3/now 2020.01.19-1build1 amd64  [installé, local]
libusrsctp1/now 0.9.3.0+20190901-1 amd64  [installé, local]
libvpx6/now 1.8.2-1build1 amd64  [installé, local]
libwebp6/now 0.6.1-2ubuntu0.20.04.1 amd64  [installé, local]
libx264-155/now 2:0.155.2917+git0a84d98-2 amd64  [installé, local]
libx265-179/now 3.2.1-1build1 amd64  [installé, local]
libx86emu2/now 2.4-1 amd64  [installé, local]
libxmlb1/now 0.1.15-2ubuntu1~20.04.1 amd64  [installé, local]
libyaml-cpp0.6/now 0.6.2-4ubuntu1 amd64  [installé, local]
libzip5/now 1.5.1-0ubuntu1 amd64  [installé, local]
linux-generic-hwe-18.04/now 5.4.0.125.126 amd64  [installé, local]
linux-headers-5.4.0-125-generic/now 5.4.0-125.141 amd64  [installé, local]
linux-headers-5.4.0-125/now 5.4.0-125.141 all  [installé, local]
linux-image-5.4.0-125-generic/now 5.4.0-125.141 amd64  [installé, local]
linux-modules-5.4.0-125-generic/now 5.4.0-125.141 amd64  [installé, local]
linux-modules-extra-5.4.0-125-generic/now 5.4.0-125.141 amd64  [installé, local]
openshot/now 2.4.3+dfsg1-1 all  [installé, local]
pdfshuffler/now 1.4.2-1 all  [installé, local]
python-backports.functools-lru-cache/now 1.5-3build1 all  [installé, local]
python-bs4/now 4.8.2-1 all  [installé, local]
python-crypto/now 2.6.1-13ubuntu2 amd64  [installé, local]
python-html5lib/now 1.0.1-2 all  [installé, local]
python-lockfile/now 1:0.12.2-2ubuntu2 all  [installé, local]
python-lxml/now 4.5.0-1ubuntu0.5 amd64  [installé, local]
python-monotonic/now 1.5-0ubuntu2 all  [installé, local]
python-numpy/now 1:1.16.5-2ubuntu7 amd64  [installé, local]
python-setproctitle/now 1.1.10-1ubuntu1 amd64  [installé, local]
python-soupsieve/now 1.9.5+dfsg-1 all  [installé, local]
python-webencodings/now 0.5.1-1ubuntu1 all  [installé, local]
python-xdg/now 0.26-1ubuntu1 all  [installé, local]
python-xlib/now 0.23-2build1 all  [installé, local]
python3-oauth/now 1.0.1-6ubuntu1 all  [installé, local]
python3.8-minimal/now 3.8.10-0ubuntu1~20.04.5 amd64  [installé, local]
qt5-style-platform-gtk2/now 5.0.0+git23.g335dbec-3ubuntu4 all  [installé, local]
syslinux-legacy/now 2:3.63+dfsg-2ubuntu9 amd64  [installé, local]
ukuu/now 18.9.3-0~201902031503~ubuntu18.04.1 amd64  [installé, local]
remond@hp:~$ 

Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#15 Le 11/09/2022, à 19:05

ylag

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonsoir,

Pour la liste des paquets "obsolètes", tu pourrais regarder dans synaptic si une version installable issue des dépôts actifs en est proposée ?
En général, on sélectionne pour désinstallation ceux qui n'en auraient pas, sauf pour les paquets que tu aurais toi-même installés manuellement, qui seraient à conserver, et on réinstalle à la version proposée des dépots ceux qui seraient réinstallables ; des heures de plaisir en perspective !  smile

Attends peut-être des avis plus éclairés que le mien avant de tenter quoi que ce soit à ce niveau....

A+

Dernière modification par ylag (Le 11/09/2022, à 19:06)

Hors ligne

#16 Le 11/09/2022, à 19:25

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

N'étant pas très vaillant en lignes de commande , je me contente de faire les mises à jour et les mises à niveaux proposées par le systeme
Si je veux installer une application je passe par la boutique de logiciels

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#17 Le 11/09/2022, à 19:28

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Montre ta collection :

snap list --all

Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#18 Le 12/09/2022, à 06:34

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

le retour

gerard@hp:~$ snap list --all
Nom                  Version                     Révision  Suivi            Éditeur        Notes
bare                 1.0                         5         latest/stable    canonical✓     base
core                 16-2.56                     13308     latest/stable    canonical✓     core,désactivé
core                 16-2.56.2                   13425     latest/stable    canonical✓     core
core18               20220830                    2560      latest/stable    canonical✓     base
core18               20220706                    2538      latest/stable    canonical✓     base,désactivé
core20               20220826                    1623      latest/stable    canonical✓     base
core20               20220805                    1611      latest/stable    canonical✓     base,désactivé
firefox              104.0.2-1                   1810      latest/stable    mozilla✓       -
gnome-3-28-1804      3.28.0-19-g98f9e67.98f9e67  161       latest/stable    canonical✓     -
gnome-3-28-1804      3.28.0-19-g98f9e67.98f9e67  145       latest/stable    canonical✓     désactivé
gnome-3-34-1804      0+git.3556cb3               77        latest/stable    canonical✓     -
gnome-3-34-1804      0+git.3556cb3               72        latest/stable    canonical✓     désactivé
gnome-3-38-2004      0+git.891e5bc               115       latest/stable    canonical✓     -
gtk-common-themes    0.1-79-ga83e90c             1534      latest/stable    canonical✓     désactivé
gtk-common-themes    0.1-81-g442e511             1535      latest/stable    canonical✓     -
gtk2-common-themes   0.1                         9         latest/stable    canonical✓     désactivé
gtk2-common-themes   0.1                         13        latest/stable    canonical✓     -
p7zip-desktop        16.02.2                     220       latest/stable    ernytech       -
skype                8.87.0.406                  223       latest/stable    skype✓         désactivé
skype                8.88.0.401                  226       latest/stable    skype✓         -
software-boutique    0+git.0fdcecc               57        latest/stable/…  flexiondotorg  classic
software-boutique    0+git.f633ffb               54        latest/stable/…  flexiondotorg  désactivé,classic
ubuntu-mate-welcome  22.04.0-5ab72c37            693       latest/stable/…  flexiondotorg  désactivé,classic
ubuntu-mate-welcome  22.04.0-5b7bef38            709       latest/stable/…  flexiondotorg  classic
gerard@hp:~$ 

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#19 Le 12/09/2022, à 07:40

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonjour,

Si besoin d'un gain de place temporaire, pour nettoyer les snaps désactivés, une commande de nany :

snap list --all | awk '/désactivé|disabled/{print $1, $3}' | while read snapname revision; do sudo snap remove "$snapname" --revision="$revision"; done

Commande stockée au post #7 > |RESOLU] snap nettoyage des versions désactivées.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#20 Le 12/09/2022, à 07:53

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonjour

Il me semble que je ne manque pas particulierement de place
Mais cette commande peut me servir si jamais le Nb de snap augmentait

Que dois je faire avec les paquets obsoletes

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#21 Le 12/09/2022, à 08:02

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Je ne sais pas, j'ai déjà mon obsolescence personnelle à gérer. tongue


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#22 Le 12/09/2022, à 08:16

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

En fin de compte Synaptic me propose de desinstaller ces logiciels qui apparaissent dans la rubrique : etat, pouvant etre desinstallés

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#23 Le 12/09/2022, à 08:18

xubu1957

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Attends ylag, il doit encore dormir au Québec.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#24 Le 12/09/2022, à 08:20

papy104

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

OK et encore merci pour ton aide

Papy


Jeune depuis très longtemps!
Ubuntu 22.04 MATE et pas vaillant en lignes de commande

Hors ligne

#25 Le 12/09/2022, à 10:33

ylag

Re : RESOLU Après mise à niveau liste de paquets a désinstaller

Bonjour,

papy104 a écrit :

En fin de compte Synaptic me propose de desinstaller ces logiciels qui apparaissent dans la rubrique : etat, pouvant etre desinstallés

Papy

Je crois que tu pourrais accepter la désinstallation sous réserve que ça n'entraînerait pas de paquets essentiels comme dépendances.
Je crois que synaptic affiche les éventuelles dépendances emportées lors de la suppresion d'un paquet ? C'est à vérifier.

À priori, ces paquets ne nuisent pas à ton système, mais ils accaparent de l'espace disque et pourraient éventuellement créer des conflits de versions si tu tentes l'installation d'une application hors-dépôts qui tirerait un paquet de nom équivalent, mais dont la version requise serait différente ou incompatible avec celle déjà installée, ce qui risquerait de bloquer la tentative d'installation.

Donc, ça reste à toi de voir s'il est pertinent de le faire, mais j'aurais tendance à croire qu'il est préférable de désinstaller ces paquets pour s'assurer de la stabilité du système à long terme.

A+

Dernière modification par ylag (Le 12/09/2022, à 10:49)

Hors ligne